%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	callrecording

Name:		freepbx-%{rawname}
Version:	16.0.21
Release:	1%{?dist}
Summary:	Call Recording

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz

Requires:	freepbx-core >= 12.0.7

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
Provides much of the call recording functionality.

%prep
%setup -q -n %{rawname}

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in agi-bin sbin etc astetc images sounds moh hooks ; do
	[ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_datadir}/asterisk/bin
%{__install} -m0755 bin/* %{buildroot}%{_datadir}/asterisk/bin

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%attr(0755,%{sown},%{sgrp}) %{_datadir}/asterisk/bin/*
%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}

%changelog
* Wed Apr 17 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.21
- Updated version

* Thu Apr 13 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.20
- Updated version

* Wed Sep 28 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.19
- Updated version

* Sat Sep 17 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.17
- Updated version

* Wed May 25 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.16
- Updated version

* Mon Apr 25 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.13
- Updated version

* Fri Feb 04 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.12
- Updated version

* Thu Jan 20 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.11
- Initial build
